uniform sampler2D tex;
uniform int time;
uniform float deform;

void main() {
	vec2 coord = gl_TexCoord[0].xy;
	//coord += deform * vec2(abs(sin(coord.x * 20.0)), abs(cos(coord.y * 22.0)));
	coord -= 0.5;
	coord *= 1.0 - deform;
	coord += 0.5;
	vec4 farge = texture2D(tex, coord);
	//if (farge.r < 0.1) farge = vec4(1.0, 0.0, 1.0, 1.0);
	gl_FragColor = farge;
}     
